//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "ContactSearchViewController.h"
#import "ContactTableViewCell.h"
#import "PCContact+Additions.h"
#import "ImageDownloadView.h"
#import "ContactDetailViewController.h"
#import "UIViewController+Contact.h"


@interface ContactSearchViewController ()

@property (nonatomic, strong) NSArray *contacts;
@property (nonatomic, strong) NSArray *searchResults;

@end

@implementation ContactSearchViewController

- (void)viewDidLoad {

    [super viewDidLoad];
}

#pragma mark -

- (NSArray *)dataSource {

    return self.searchResults;
}


#pragma mark - UISearchResultsUpdating

- (void)updateSearchResultsForSearchController:(UISearchController *)searchController {
    
    NSString *searchText = searchController.searchBar.text;
    
    NSString *strippedString = [searchText stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceCharacterSet]];
    NSArray *searchItems = nil;
    if (strippedString.length > 0) {
        searchItems = [strippedString componentsSeparatedByString:@" "];
    }
    
    NSMutableArray *andMatchPredicates = [NSMutableArray array];
    
    for (NSString *searchString in searchItems) {
        
        NSMutableArray *searchItemsPredicate = [NSMutableArray array];
        
        NSPredicate *predicate = [NSPredicate predicateWithFormat:@"firstName BEGINSWITH[cd] %@", searchString];
        [searchItemsPredicate addObject:predicate];
        
        
        predicate = [NSPredicate predicateWithFormat:@"lastName BEGINSWITH[cd] %@", searchString];
        [searchItemsPredicate addObject:predicate];

        predicate = [NSPredicate predicateWithFormat:@"orgName BEGINSWITH[cd] %@", searchString];
        [searchItemsPredicate addObject:predicate];

        predicate = [NSPredicate predicateWithFormat:@"ANY emails.email BEGINSWITH[cd] %@", searchString];
        [searchItemsPredicate addObject:predicate];
        
        predicate = [NSPredicate predicateWithFormat:@"ANY telphones.number.description BEGINSWITH[cd] %@", searchString];
        [searchItemsPredicate addObject:predicate];
        
        
        NSCompoundPredicate *orMatchPredicates = [NSCompoundPredicate orPredicateWithSubpredicates:searchItemsPredicate];
        [andMatchPredicates addObject:orMatchPredicates];
    }
    
    NSCompoundPredicate *finalCompoundPredicate = [NSCompoundPredicate andPredicateWithSubpredicates:andMatchPredicates];
    NSMutableArray *searchResults = [[self.contacts filteredArrayUsingPredicate:finalCompoundPredicate] mutableCopy];
    
    self.searchResults = searchResults;
    [self.tableView reloadData];
}

@end
