//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "OperationSpinner.h"

@interface OperationSpinner ()

/*!
 * holds the id of operations that are trying to hold the spinner.
 */
@property (nonatomic, strong) NSArray *operations;

@end

@implementation OperationSpinner

- (void)addOperation:(NSString *)operationID {

    NSMutableArray *operations = [NSMutableArray arrayWithArray:self.operations];
    [operations addObject:operationID];
    self.operations = [NSArray arrayWithArray:operations];
    
    if (self.operations.count) {
        
        [self startAnimating];
    }
}

- (void)removeOperation:(NSString *)operationID {

    NSMutableArray *operations = [NSMutableArray arrayWithArray:self.operations];
    [operations removeObject:operationID];
    self.operations = [NSArray arrayWithArray:operations];

    if (self.operations.count == 0) {
        
        [self stopAnimating];
    }
}

- (NSInteger)numberOfOperations {
    
    return self.operations.count;
}

@end
