//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PhotosVideosViewController.h"
#import "PhotosViewController.h"
#import "VideosViewController.h"
#import "FileGridViewController.h"
#import "UIViewController+Dismiss.h"
#import "PlaylistViewController.h"

@interface FileGridViewController (Protected)

@property (nonatomic, strong) NSString *emptyViewMessage;

- (void)refreshView;

@end


@interface PhotosVideosViewController () <UITabBarControllerDelegate>

@end

@implementation PhotosVideosViewController

- (void)viewDidLoad {
    
    [super viewDidLoad];
    
    
    self.tabBarController.delegate = self;
    [self addCancelButton];
    
    self.navigationItem.title = NSLocalizedString(@"All Files", nil);
    self.emptyViewMessage = NSLocalizedString(@"No Photos/Videos found", nil);
    [self refreshView];

}

- (NSArray *)dataSource {
    return [self.photosArray arrayByAddingObjectsFromArray:self.videosArray];
}

- (NSIndexPath *)selectedIndexPath {
    return self.indexPath;
}

- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
    
    UINavigationController *navController = (UINavigationController *)viewController;
    UIViewController *controller = [navController.viewControllers objectAtIndex:0];
    switch (tabBarController.selectedIndex) {
        case 1: {
            PhotosViewController *photoController = (PhotosViewController *)controller;
            photoController.dataSource = self.photosArray;
        }
            break;
        case 2: {
            VideosViewController *videoController = (VideosViewController *)controller;
            videoController.dataSource = self.videosArray;
        }
            break;
        case 3: {
            PlaylistViewController *playlistController = (PlaylistViewController *)controller;
            playlistController.playlistScreenType = playlistScreenTypeAlbum;
        }
    }
}


@end
