//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.


#import "PCResourceAPIParams.h"


/*!
 * PCGetPlaylistAPIParams stores all the parameters required to fetch playlist of a user.
 */
@interface PCGetPlaylistAPIParams : PCResourceAPIParams


/*!
 * The type of the playlist. Can be one of 'image', 'music', 'video' or 'image-video'.
 */
@property (nonatomic, copy) NSString *type;


/*!
 * Starting point for partial responses, for folder requests. Default is 1.
 */
@property (nonatomic, assign) int start;

/*!
 * Maximum items to include in a paginated response, for folder requests. Required if start is specified.
 */
@property (nonatomic, assign) int count;

/*!
 * Specify sort order for response. Syntax is :'{field}+{asc|desc}'. Valid values for 'field' are: name, type, versionCreated, size, extension, album, artist, captureDate, compilation, contentType, creationDate, favorite, genre, height, modificationDate, priority, source, tags, title, timelineDate.
 */
@property (nonatomic, copy) NSString *sort;

@end
