//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCGetShareAPIParams stores all the parameters required to fetch share of a user.
 */
@interface PCGetShareAPIParams : PCResourceAPIParams

/*!
 * A cursor used in paginating the response. Cursors are returned in 'next' and 'prev' links in the response body.
 */
@property (nonatomic, copy) NSString *cursor;

/*!
 * Maximum items to include in a paginated response, for folder requests.
 */
@property (nonatomic, assign) int count;

/*!
 * The date and time, expressed in the W3C date and time format, after which messages should be returned.  
 */
@property (nonatomic, copy) NSString *since;

/*!
 * The date and time, expressed in the W3C date and time format, up to which messages should be returned.
 */
@property (nonatomic, copy) NSString *until;

/*!
 * Filters the returned shares. Currently the value can only be 'outbound' (shared by the user).
 */
@property (nonatomic, copy) NSString *filter;
@end
