//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceItem.h"
@class PCResourceItem;
@class PCAPI;
@class PCFOPSAPIParams;
@class PCAPIQueryResponse;
@class PCAPISDK;
 
@interface PCResourceItem (FOPSOperation)

/*!
 * Call this method to move a file/folder/audio/video/photo from one location to a different location.
 * @param params parameters required to perform move operation.
 * @param completion This block gets called on the completion of a move operation. meta data of 'target file/folder/audio/video/photo' is returned in completion block.
 */

- (PCAPI *)moveItem:(PCFOPSAPIParams *)params withCompletionHandler:(void (^)(id resourceItem, PCAPIQueryResponse *response))completion;

/*!
 * Call this method to copy a file/folder/audio/video/photo from one location to a different location.
 * @param params parameters required to perform copy operation.
 * @param completion This block gets called on the completion of a copy operation. meta data of 'target file/folder/audio/video/photo' is returned in completion block.
 */
- (PCAPI *)copyItem:(PCFOPSAPIParams *)params withCompletionHandler:(void (^)(id resourceItem, PCAPIQueryResponse *response))completion;

/*!
 * Call this method to rename a file/folder/audio/video/photo.
 * @param params parameters required to perform rename operation.
 * @param completion This block gets called on the completion of a rename operation. meta data of renamed file/folder/audio/video/photo is returned in completion block.
 */
- (PCAPI *)renameItem:(PCFOPSAPIParams *)params withCompletionHandler:(void (^)(id resourceItem, PCAPIQueryResponse *response))completion;

/*!
 * Call this method to Delete a file/folder/audio/video/photo.
 * @param completion This block gets called on the completion of a Delete operation. meta data of Deleted file/folder/audio/video/photo is returned in completion block.
 */
- (PCAPI *)deleteItemWithCompletionHandler:(void (^)(PCAPIQueryResponse *response))completion;


@end
