//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.


#import "PCResourceAPIParams.h"

/*!
 * PCThumbnailAPIParams stores all the parameters required to fetch thumbnail of a particular resource.
 */
@interface PCThumbnailAPIParams : PCResourceAPIParams

/*!
 * The file's content token (obtained from a call to /metadata or /fullview).
 */
@property (nonatomic, copy) NSString *contentToken;

/*!
 * Thumbnail size: 'xs' (24x24), 's' (64x64), or 'm' (128x128). Either 'size' or 'th' and 'tw' are required.
 */
@property (nonatomic, copy) NSString *size;

/*!
 * Thumbnail width (in pixels). Either 'size' or 'th' and 'tw' are required.
 */
@property (nonatomic, assign) int tw;

/*!
 * Thumbnail height (in pixels). Either 'size' or 'th' and 'tw' are required.
 */
@property (nonatomic, assign) int th;

@end
