//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCFile.h"
#import <CoreData/CoreData.h>

/*!
 * This class stores the metadata information of video files.
 */
@interface PCVideo : PCFile

/*!
 * Maps to the file's EXIF Date and Time tag.
 */
@property (nonatomic, readonly, strong) NSDate *capturedDate;

/*!
 * The width of an video in pixels.
 */
@property (nonatomic, readonly, strong) NSNumber *width;

/*!
 * Maps to the EXIF GPS Latitude tag for video files.
 */
@property (nonatomic, readonly, strong) NSNumber *geoLatitude;

/*!
 * Maps to the EXIF GPS Longitude tag for video files.
 */
@property (nonatomic, readonly, strong) NSNumber *geoLongitude;

/*!
 * Maps to the ID3 album field for MP4 files.
 */
@property (nonatomic, readonly, copy) NSString *album;

/*!
 * Maps to the ID3 artist field for MP4 files.
 */
@property (nonatomic, readonly, copy) NSString *artist;

/*!
 * Maps to the ID3 genre field for MP4 files.
 */
@property (nonatomic, readonly, copy) NSString *genre;

/*!
 * The duration of an video file.
 */
@property (nonatomic, readonly, strong) NSNumber *duration;

/*!
 * Maps to the ID3 title field for MP4 files.
 */
@property (nonatomic, readonly, copy) NSString *title;

@end
